import {
    listProjectInfo,
} from '../../../api/project'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        pageNum: 1,
        pageSize: 50,
        parDeptId: null,
        listData: [],
        total: 0,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            parDeptId: app.globalData.userData?.parDeptId
        });
        this.initListData();
    },

    /**
     * 初始化临建项目数据
     */
    initListData() {
        let params = "deptId=" + this.data.parDeptId + "&pageNum=" + this.data.pageNum + "&pageSize=" + this.data.pageSize;
        listProjectInfo(params).then(res => {
            if (res.code == 200) {
                this.setData({
                    total: res.total,
                    listData: this.data.listData.concat(res.rows)
                });
            }
        });
    },

    /**
     * 加载更多数据
     */
    onScrollToLower() {
        let nal = Math.ceil(this.data.total / this.data.pageSize);
        if (this.data.pageNum < nal) {
            this.setData({
                pageNum: this.data.pageNum + 1
            });
            this.initListData();
        }
    },

    returnToPage: function () {
        /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
        wx.redirectTo({
            url: '../../index/index',
        })
    },

    /**
     * 新增项目信息
     */
    addTap: function () {
        wx.redirectTo({
            url: '../add/index',
        })
    },

    /**
     * 修改项目信息
     */
    editTap: function (e) {
        let {id} = e.currentTarget.dataset.set
        wx.redirectTo({
            url: '../edit/index?id='+id,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})